:root {
    --primary: #DE1484;
    --bg: #FFFFFF;
    --dark: #F2F6F7;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: var(--bg);
    color: black;
    height: 5000;
}

html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
    }

/* NAVBAR START */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.4rem 7%;
    background-color: rgba(255, 255, 255, 0.6);
    border-bottom: 1px solid var(--bg);
    box-shadow: 1px 1px 10px rgba(1, 1, 1, 0.5);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
}

/* .navbar .navbar-logo {
ini nanti jika perlu config logo navbar sebelah pojok kiri atas
} */

.navbar .navbar-nav a {
    color: black;
    display: inline-block;
    font-size: 1.4rem;
    margin: 0 1rem;
}

.navbar .navbar-nav a:hover {
    color: var(--primary);
}

.navbar .navbar-nav a::after {
    content: '';
    display: block;
    padding-bottom: 0.5rem;
    border-bottom: 0.1rem solid var(--primary);
    transform: scaleX(0);
    transition: 0.3s linear;
}

.navbar .navbar-nav a:hover::after {
    transform: scaleX(0.5);
}

.navbar .navbar-extra a {
    color: black;
    margin: 0 0.5rem;
}

.navbar .navbar-extra a:hover {
    color: var(--primary);
}

#donasi {
    padding: 1rem 3rem;
    font-weight: bold;
    color: white;
    background-color: var(--primary);
    border: 1px solid var(--primary);
    border-radius: 12px;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

#donasi:hover {
    color: var(--primary);
    background-color: var(--bg);
    border: 1px solid var(--primary);
    transition: 0.8s;
}

#hamburger-menu {
    display: none;
}

/* NAVBAR END */

/* HERO SECTION START */
.hero {
    min-height: 100vh;
    display: flex;
    align-items: center;
    background-image: url('../assets/images/hero-bg.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    -webkit-mask-image: linear-gradient(rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
    mask-image: linear-gradient(rgba(0, 0, 0, 1) 75%, rgba(0, 0, 0, 0));
}

/* .hero::after {
    content: '';
    display: block;
    position: absolute;
    width: 100%;
    height: 30%;
    bottom: 0;
    background: linear-gradient(0deg, rgba(255, 255, 255, 1) 8%, rgba(255, 255, 255, 0) 50%);
} */

.hero .content {
    padding: 1.4rem 7%;
    /* max-width: 60rem; */
    width: 100%;
    text-align: center;
    position: fixed;
}

.hero .content h1 {
    font-size: 5rem;
    color: #FFFFFF;
    text-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
    line-height: 1;
}

.hero .content h1 span {
    color: var(--primary);
}

.hero .content p {
    font-size: 1.6rem;
    margin-top: 1rem;
    line-height: 1.4;
    font-weight: 400;
    text-shadow: 1px 1px 10px rgba(1, 1, 3, 0.8);
    mix-blend-mode: difference;
    color: var(--bg);
}

.hero .content .cta {
    margin-top: 1rem;
    display: inline-block;
    padding: 1rem 3rem;
    font-size: 1.4rem;
    color: #FFFFFF;
    background-color: var(--primary);
    border-radius: 12px;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.hero .content .cta:hover {
    color: var(--primary);
    background-color: var(--bg);
    border: 1px solid var(--primary);
    transition: 2s;
}

/* HERO SECTION END */

/* VISI MISI SECTION START */

.visi {
    padding: 8rem 7% 3.2rem;
}


.visi h2, .program h2, .lokasi h2, .kontak h2, .gallery h2 {
    text-align: center;
    font-size: 2.6rem;
    margin-bottom: 3rem;
}

.visi h2 span, .program h2 span, .lokasi h2 span, .kontak h2 span, .gallery h2 span {
    color: var(--primary);
}

.visi .row {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-evenly;
}

.visi .row .visi-container {
    width: 50%;
    height: 20rem;
    flex: 1 1 35rem;
    padding: 0 1rem;
    margin: 2rem;
    background-color: var(--primary);
    border: 1px solid var(--primary);
    border-radius: 12px;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.visi .row .misi-container {
    width: 50%;
    height: 20rem;
    flex: 1 1 35rem;
    padding: 0 1rem;
    margin: 2rem;
    background-color: var(--primary);
    border: 1px solid var(--primary);
    border-radius: 12px;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.visi .row .visi-container h3 {
    font-size:1.8rem;
    padding-top: 1rem;
    margin-bottom: 1rem;
    text-decoration: underline;
    text-align: center;
    color: var(--bg);
}

.visi .row .misi-container h3 {
    font-size:1.8rem;
    padding-top: 1rem;
    margin-bottom: 1rem;
    text-decoration: underline;
    text-align: center;
    color: var(--bg);
}

.visi .row .visi-container p {
    margin-bottom: 0.8rem;
    font-size: 2rem;
    font-weight: 200;
    line-height: 1.6;
    text-align: center;
    justify-content: center;
    color: var(--bg);
}

.visi .row .misi-container p {
    padding-bottom: 1rem;
    margin-bottom: 0.8rem;
    font-size: 1.4rem;
    font-weight: 250;
    line-height: 1.6;
    text-align: center;
    justify-content: center;
    color: var(--bg);
}

/* VISI MISI SECTION END */

/* PROGRAM SECTION START */

.program {
    padding: 8rem 7% 1.4rem;
    background-color: var(--dark);
}

.program .row {
    display: flex;
    flex-wrap: wrap;
    margin-top: 5rem;
    justify-content: center;
}

.program .row .program-card {
    flex-wrap: wrap;
    /* max-width: 20%; */
    text-align: center;
    margin: 1rem 1rem 2rem;
    padding: 2rem 1rem 4rem;
    border-radius: 12px;
    background-color: var(--bg);
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.program .row .program-card img {
    margin-bottom: 1rem;
    width: 80%;
    justify-content: center;
    text-align: center;
}

.program .row .program-card .program-card-title {
    margin: 1rem auto 0.5rem;
    font-size: 1rem;
    font-weight: 500;
    justify-content: center;
    /* text-align: center; */
    color: slategrey;
}

/* PROGRAM SECTION END */

/* GALLERY SECTION START */

.gallery {
    padding: 8rem 7% 3.2rem;
    background-color: var(--bg);
}

.gallery .row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
    margin-top: 4rem;
}

.gallery .row .gallery-card {
    text-align: center;
    background-color: rgba(241, 242, 244, 0.7);
    border: 1px solid var(--primary);
    border-radius: 12px;
    padding: 2rem;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.gallery .gallery-img {
    padding: 1rem 0;
}

.gallery .gallery-img img {
    height: 25rem;
    border-radius: 12px;
}

.gallery .gallery-content h3 {
    font-size: 2rem;
}

.gallery .gallery-btn {
    margin-top: 2rem;
    display: flex;
    justify-content: center;
}

.gallery .gallery-btn a {
    padding: 0.5rem 1rem;
    width: 12rem;
    height: 4rem;
    font-size: 1.5rem;
    color: var(--primary);
    margin: 0.3rem;
    border: 1px solid var(--primary);
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.gallery .gallery-btn a:hover {
    color: var(--bg);
    background-color: var(--primary);
    transition: 0.8s;
}

/* GALLERY SECTION END */

/* LOKASI SECTION START */

.lokasi {
    padding: 8rem 7% 3.2rem;
    background-color: var(--dark);
}

.lokasi .row {
    display: flex;
    margin-top: 2rem;
    padding: 2rem;
    border-radius: 12px;
    background-color: var(--bg);
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.lokasi .row .map {
    flex: 1 1 45rem;
    width: 100%;
    height: 25rem;
    object-fit: cover;
    border-radius: 12px;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.lokasi .row .map-container {
    width: 100%;
    margin-right: 2rem;
}

.lokasi .row .map-title {
    padding: 1rem ;
}

.lokasi .row .map-title p {
    padding: 5rem 0.5rem;
    font-size: 1.5rem;
    height: 100%;
    font-weight: 500;
    color: slategray;
}

/* LOKASI SECTION END */

/* KONTAK SECTION START */

.kontak {
    padding: 8rem 7% 3.2rem;
    background-color: var(--bg);
}

.kontak .row {
    width: 60%;
    margin: 0.5rem 20%;
    padding: 0.5rem 2rem;
    background-color: var(--primary);
    border-radius: 12px;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.kontak .row .kontak-container {
    margin-top: 0.5rem;
    margin-bottom: 1rem;
    display: flex;
    justify-content: center;
}

.kontak .row .kontak-container a {
    color: black;
    padding: 0.5rem 0.2rem;
    width: 60rem;
    height: 4rem;
    font-size: 1.5rem;
    color: black;
    background-color: var(--bg);
    margin: 0.3rem;
    border: 1px solid black;
    border-radius: 12px;
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.kontak .row .kontak-container a:hover {
    color: var(--primary);
    background-color: var(--dark);
    border: 1px solid slategray;
}

.kontak .row .logo-kontak {
    /* padding-top: 0.5rem;
    margin-top: 0.5rem;
    text-align: center; */
    margin-top: 2rem;
    display: flex;
    justify-content: center;
}

.kontak .row .logo-kontak a {
    padding: 0.2rem;
    width: 4rem;
    height: 4rem;
    font-size: 1.5rem;
    color: var(--bg);
    margin: 0.3rem;
    border: 1px solid var(--bg);
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.kontak .row .logo-kontak a:hover {
    color: var(--primary);
    background-color: var(--bg);
    transition: 0.8s;
}

.kontak .row hr {
    margin-top: 0;
    margin-bottom: 1rem;
    border: 1px dashed var(--dark);
}

/* KONTAK SECTION END */

/* FOOTER SECTION START */

footer {
    background-color: #181c2b;
    text-align: center;
    padding: 1rem 0 3rem;
    margin-top: 3rem;
    margin-bottom: 0;
}

footer .socials {
    padding: 1rem 0;
}

footer .socials a {
    color: var(--bg);
    margin: 1rem;
}
footer .socials a:hover, footer .links a:hover {
    color: var(--primary);
}

footer .links {
    margin-bottom: 1.4rem;
}

footer .links a {
    color: var(--bg);
    padding: 0.7rem 1rem;
}

footer .credit {
    color: var(--bg);
    font-size: 0.8rem;
}

footer .credit a {
    color: var(--primary);
    font-weight: 700;
}

/* FOOTER SECTION END */

/* MODAL BOX START */

/* ITEM DETAIL DONASI START */

.modal-donasi {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
}

.modal-container-donasi {
    position: relative;
    background-color: var(--bg);
    color: black;
    margin: 15% auto;
    padding: 1.2rem;
    border: 1px solid var(--primary);
    width: 55%;
    animation: animateModal 1s;
}

/* MODAL ANIMATION START */

@keyframes animateModal {
    from {
        top: -300px;
        opacity: 0;
    }
    to {
        top: 0;
        opacity: 1;
    }
}

/* MODAL ANIMATION END */

.modal-container-donasi .close-icon {
    color: slategrey;
    position: absolute;
    right: 1rem;
}

.modal-container-donasi .close-icon:hover {
    cursor: pointer;
    color: var(--primary);
}

.modal-content-donasi {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
}

.modal-content-donasi .qris-box img {
    height: 13rem;
    margin: 2rem;
    margin-left: 4rem;
}

.donasi-content .bank-rekening p {
    justify-content: center;
    height: 3.5rem;
    font-size: 1rem;
    font-weight: 300;
    line-height: 1.2rem;
    margin: 1.5rem;
    margin-left: 0;
    padding-left: 0.5rem;
    border-left: 1px solid var(--primary);
}

.donasi-content .donasi-judul {
    width: 24rem;
    height: 4rem;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
    padding-top: 2rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    font-size: 1.5rem;
    border-bottom: 1px dashed var(--primary);
}

.donasi-content .donasi-judul i {
    color: var(--primary);
    margin-right: 1rem;
}

.bank-rekening p span {
    font-weight: 600;
    color: var(--primary);
}

.donasi-container .quotes {
    height: 2rem;
    text-align: center;
    font-size: 1rem;
    font-style: italic;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--primary);
}

.donasi-container .quotes p {
    margin-bottom: 0.5rem;
}

/* ITEM DETAIL DONASI END */

/* ITEM DETAIL ABOUT START */

.modal-about {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
}

.modal-container-about {
    position: relative;
    background-color: var(--bg);
    color: black;
    margin: 15% auto;
    padding: 1.2rem;
    border: 1px solid var(--primary);
    width: 80%;
    animation: animateModal 1s;
}

.modal-container-about .close-icon2 {
    position: absolute;
    right: 1rem;
    color: slategray;
}

.modal-container-about .close-icon2:hover {
    cursor: pointer;
    color: var(--primary);
}

.modal-content-about {
    display: flex;
    flex-wrap: nowrap;
}

.modal-content-about img {
    height: 18rem;
    margin-right: 2rem;
    margin-bottom: 2rem;
    background-color: var(--dark);
    border-radius: 50%;
}

.about-content-p {
    justify-content: space-around;
    margin: 1rem;
}

.about-content-p p {
    font-size: 1rem;
    line-height: 1.3rem;
    margin-top: 0.5rem;
    text-indent: 1rem;
    text-align: justify;
}

.about-content h3 {
    margin: 0 auto;
    height: 2rem;
    width: 25rem;
    text-align: center;
    font-size: 1.5rem;
    border-bottom: 1px dashed var(--primary);
}

/* ITEM DETAIL ABOUT END */

/* MODAL BOX END */

/* MEDIA QUERIES START */

/* 
  ##Device = Desktops
  ##Screen = 1281px to higher resolution desktops
*/

@media (min-width: 1281px) {
    html {
        font-size: 75%;
        justify-content: center;
        max-width: 100%;
    }

    html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }

    .modal-container-donasi {
        height: 40%;
    }
}

/* 
  ##Device = Laptops, Desktops
  ##Screen = B/w 1025px to 1280px
*/

@media (min-width: 1025px) and (max-width: 1280px) {
  html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 70%;
    }

    .modal-container-donasi {
        height: 40%;
    }
    
/* #hamburger-menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #650037;
        width: 30rem;
        height: 100vh;
        transition: 0.4s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 2rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }

    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.2);
    } */
  
}

/* 
  ##Device = Tablets, Ipads (portrait)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) {
    html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 62.5%;
    }

    #hamburger-menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #650037;
        width: 30rem;
        height: 100vh;
        transition: 0.4s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 2rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }

    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.2);
    }

    .visi .row {
        flex-wrap: wrap;
    }


    .visi .row .misi-container h3 {
        margin-top: 1rem;
    }

    .lokasi .row {
        flex-wrap: wrap;
    }

    /* .kontak .row .kontak-container a {
        font-size: 0.5rem;
    } */

    .kontak .row .kontak-container .kontak-link {
        font-size: 1rem;
    }

    .modal-content-donasi {
        flex-wrap: wrap;
    }

    .modal-container-donasi {
        height: 32.3%;
    }

    .donasi-container .quotes {
        font-size: 0.8rem;
    }

    .modal-content-donasi .qris-box img {
        height: 9.8rem;
    }

    .modal-container-about {
        height: 50%;
    }

    .modal-content-about img {
        margin-top: 4.5rem;
    }

    .about-content-p {
        margin: 0.2 1rem 1rem;
    }

  
}

/* 
  ##Device = Tablets, Ipads (landscape)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 600px) and (max-width: 1024px) and (orientation: landscape) {
  html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }
  
}

/* 
  ##Device = Low Resolution Tablets, Mobiles (Landscape)
  ##Screen = B/w 481px to 767px
*/

@media (min-width: 480px) and (max-width: 767px) {
  html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }
  
}

/* 
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 480px) {
html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }

    .hero .content {
        max-width: 480px;
    }

    .modal-container-donasi {
        height: 40%;
    }

    .donasi-content .donasi-judul {
        width: 20rem;
    }

    .modal-content-donasi .qris-box img {
        height: 10rem;
    }

    .donasi-content .bank-rekening p {
        font-size: 0.5;
        height: 3.2rem;
    }

    .modal-content-about {
        flex-wrap: wrap;
    }

    .modal-content-about img {
        margin: 0 auto;
        height: 8rem;
    }

    .visi .row  {
        display: flex;
        flex-wrap: wrap;
    }

    .about-content h3 {
        margin: 0.5rem auto 0;
    }

    .about-content-p {
        margin: 0 1rem 1rem;
    }

    .modal-container-about {
        height: 55%;
    }

    .modal-content-donasi {
        flex-wrap: wrap;
    }
    
    #hamburger-menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #650037;
        width: 30rem;
        height: 100vh;
        transition: 0.4s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 2rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }

    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.2);
    }
}

/* MEDIA QUERIES END */